Subject: Re: bootloader & head.S weirdness & restructuring

From: Cort Dougan <[email-masked]>
Date: Tue, 23 Nov 1999 10:45:33 -0700

That's more of a task for the end users, not the kernel.  Configuring the
system and building a ramdisk isn't really part of the build I don't think.

} Yes, but often they have at least 8Mb of RAM (which was the minimal spec
} for PreP). In this case a few more kB in the bootloader to make it more
} generic do not hurt as long as you can make the run time kernel as small
} as possible. Why not dynamically link the kernel to remove useless code,
} for example have a kernel plus modules and link them selectively at boot
} time depending on the network or SCSI chip, we are a far way from this
} but it should be possible.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/